Bug 1480810 - rhn.conf man page does not contain the taskomatic initial memory option
rhn.conf man page does not contain the taskomatic initial memory option
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Taskomatic (Show other bugs)
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Tomáš Kašpárek
Radovan Drazny
: Patch
Depends On:
Blocks: sat58-errata sat58-nth
  Show dependency treegraph
Reported: 2017-08-11 19:45 EDT by Candace Sheremeta
Modified: 2018-03-06 10:46 EST (History)
6 users (show)

See Also:
Fixed In Version: spacewalk-config-2.6.0-4-sat
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2018-03-06 10:46:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Github spacewalkproject/spacewalk/pull/565 None None None 2017-08-16 04:52 EDT

  None (edit)
Description Candace Sheremeta 2017-08-11 19:45:42 EDT
I have created a commit upstream to change the Taskomatic maxmemory variable in the rhn.conf man page from "taskomatic.maxmemory" to "taskomatic.java.maxmemory" and added documentation for "taskomatic.java.initmemory".

Comment 2 Tomáš Kašpárek 2017-08-16 04:51:48 EDT
Candace, can you please look at my comments I've made to pull request at https://github.com/spacewalkproject/spacewalk/pull/565/files ?

Thank you
Comment 3 Candace Sheremeta 2017-08-17 18:12:11 EDT
Hey Tomas,

I replied on the PR. Let me know what you think :) Thank you!
Comment 4 Tomáš Kašpárek 2017-08-22 09:02:11 EDT
PR merged into spacewalk.git(master): adcaa71a9a90fd101373020e652b98ecdcd1c2e5
Comment 7 Radovan Drazny 2018-02-19 12:05:00 EST
Verified on spacewalk-config-2.6.0-4. Compared to spacewalk-config-2.6.0-4, following item were added to the rhn.conf man page:

      taskomatic.java.maxmemory (integer)
              The maximum amount of memory (MB) that Taskomatic can use. If you find that Taskomatic is running out of memory, consider increasing this.

              Default: 1024

       taskomatic.java.initmemory (integer)
              The initial amount of memory (MB) that Taskomatic is allocated on start-up.

              Default: 256

       package_import_skip_changelog (boolean)
              When importing packages, skip non-essential data that can make the import faster (changelogs). Not recommended in production.

"taskomatic.maxmemory" option is gone. Default values are consistent with settings in /usr/share/rhn/config-defaults/rhn_taskomatic_daemon.conf
Comment 10 errata-xmlrpc 2018-03-06 10:46:27 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.